## prometheus-squid-exporter 1.8.2%2Bds

=== Makefile ===
.PHONY: all clean

all: test build

EXE = ./bin/squid-exporter
SRC = $(shell find ./ -type f -name '*.go')
VERSION ?= $(shell cat VERSION)
REVISION = $(shell git rev-parse HEAD)
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)
LDFLAGS = -extldflags "-s -w -static" \
		  -X github.com/boynux/squid-exporter/vendor/github.com/prometheus/common/version.Version=$(VERSION) \
		  -X github.com/boynux/squid-exporter/vendor/github.com/prometheus/common/version.Revision=$(REVISION) \
		  -X github.com/boynux/squid-exporter/vendor/github.com/prometheus/common/version.Branch=$(BRANCH)

$(EXE): $(SRC)
	CGO_ENABLED=0 GOOS=linux go build -a -ldflags '$(LDFLAGS)' -o $(EXE) .

test:
	go test -v ./...

build: $(EXE)

docker:
	docker build -t squid-exporter .

clean:
	rm -f $(EXE)

## prometheus-squid-exporter 1.4%2Bds

=== debian/changelog ===
prometheus-squid-exporter (1.4+ds-1) unstable; urgency=medium

  * Initial release. Closes: #920258.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 23 Jan 2019 12:01:45 +0100

=== debian/control ===
Source: prometheus-squid-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git
Homepage: https://github.com/boynux/squid-exporter
XS-Go-Import-Path: github.com/boynux/squid-exporter

Package: prometheus-squid-exporter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for Squid proxy servers
 Prometheus exporter which connects to a Squid proxy server's cache manager
 API and exposes metrics such as:
 .
  * Cache hit counters
  * Client HTTP request / byte counters
  * Server HTTP / FTP requests
  * Request error counters

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

BINNAME := prometheus-squid-exporter
BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/squid-exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts

## prometheus-squid-exporter 1.8.2+ds

=== debian/changelog ===
prometheus-squid-exporter (1.8.2+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 01:34:30 +0200

prometheus-squid-exporter (1.8.2+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Bump Standards-Version (debhelper-compat = 12).
  * Refresh patches.
  * d/copyright: fix excluded files wildcard

  [ Martina Ferrari ]
  * Automated cme fixes.
  * Add myself to uploaders.

 -- Martina Ferrari <tincho@debian.org>  Thu, 09 Jan 2020 18:06:28 +0000

=== debian/control ===
Source: prometheus-squid-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
           Martina Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git
Homepage: https://github.com/boynux/squid-exporter
XS-Go-Import-Path: github.com/boynux/squid-exporter

Package: prometheus-squid-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Squid proxy servers
 Prometheus exporter which connects to a Squid proxy server's cache manager
 API and exposes metrics such as:
 .
  * Cache hit counters
  * Client HTTP request / byte counters
  * Server HTTP / FTP requests
  * Request error counters

## prometheus-squid-exporter 1.8.3+ds

=== debian/changelog ===
prometheus-squid-exporter (1.8.3+ds-2) unstable; urgency=medium

  * Update and reformat manpage.
  * Add missing maintainer script, logrotate config, and log directory
    creation.
  * Fix user used in initscript.
  * Add sample prometheus config and grafana dashboard.
  * Rename service file.

 -- Martina Ferrari <tina@debian.org>  Sat, 25 Jul 2020 23:56:17 +0000

prometheus-squid-exporter (1.8.3+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0 (rename systemd service file).
  * Bump debhelper-compat version to 13.
  * Update maintainer / uploader email addresses.
  * Add upstream metadata field: Repository.

  [ Martina Ferrari ]
  * Update available cmdline options.
  * Add initscript.

 -- Martina Ferrari <tina@debian.org>  Sat, 25 Jul 2020 19:43:53 +0000

=== debian/control ===
Source: prometheus-squid-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
           Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git
Homepage: https://github.com/boynux/squid-exporter
XS-Go-Import-Path: github.com/boynux/squid-exporter

Package: prometheus-squid-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for Squid proxy servers
 Prometheus exporter which connects to a Squid proxy server's cache manager
 API and exposes metrics such as:
 .
  * Cache hit counters
  * Client HTTP request / byte counters
  * Server HTTP / FTP requests
  * Request error counters

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-
-override_dh_installinit:
-	dh_installinit --noscripts

## prometheus-squid-exporter 1.10.0%2Bds

=== debian/changelog ===
prometheus-squid-exporter (1.10.0+ds-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add new build-dep golang-github-pires-go-proxyproto-dev
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Refresh patches
  * Update copyright legal entity name

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 04 Dec 2021 18:42:32 +0000

## prometheus-squid-exporter 1.10.0+ds

=== debian/changelog ===
prometheus-squid-exporter (1.10.0+ds-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 09:22:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: prometheus-squid-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
+               golang-github-pires-go-proxyproto-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-go,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git

## prometheus-squid-exporter 1.10.3+ds

=== debian/changelog ===
prometheus-squid-exporter (1.10.3+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * Update buildinfo email address
  * Add 02-disable-network-tests.patch to disable tests requiring network
    access

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 13 May 2022 17:49:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-squid-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
@@ -12,7 +11,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-go,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -22,12 +22,16 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	mv -v $(BUILDDIR)/bin/squid-exporter $(BUILDDIR)/bin/$(BINNAME)
 
+override_dh_auto_test:
+	# Use "short" test mode to disable network tests
+	dh_auto_test -- -short
+
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## prometheus-squid-exporter 1.10.4%2Bds

=== debian/changelog ===
prometheus-squid-exporter (1.10.4+ds-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:54 +1200

prometheus-squid-exporter (1.10.4+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2 (no changes)
  * Add missing build-dep golang-github-stretchr-testify-dev
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 11 Jun 2023 15:11:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                golang-github-pires-go-proxyproto-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
+               golang-github-stretchr-testify-dev,
                golang-go,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git

## prometheus-squid-exporter 1.10.4+ds

=== debian/changelog ===
prometheus-squid-exporter (1.10.4+ds-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 11:35:49 +1000

prometheus-squid-exporter (1.10.4+ds-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:54:14 +1000

prometheus-squid-exporter (1.10.4+ds-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:27:14 +0530

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/squid-exporter-$1\.tar\.gz/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/boynux/squid-exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-squid-exporter 1.12.0

=== debian/changelog ===
prometheus-squid-exporter (1.12.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 15:32:08 +1000

prometheus-squid-exporter (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Drop +ds version suffix, since we no longer need to unvendor the upstream
    source
  * Add new Build-Depends
    - golang-github-go-kit-log-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Bump Standards-Version to 4.7.0 (no changes)
  * Drop obsolete 0003-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 29 Jun 2024 12:03:50 +0000

prometheus-squid-exporter (1.11.0+ds-3) unstable; urgency=medium

  * Add new 0004-Fix-racy-TestReadFromSquid.patch (Closes: #1072734)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 08 Jun 2024 17:15:51 +0000

prometheus-squid-exporter (1.11.0+ds-2) unstable; urgency=medium

  * Convert patches to gbp-pq format
  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Mar 2024 03:02:14 +0000

prometheus-squid-exporter (1.11.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Update manpage

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 08 Mar 2024 14:40:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-squid-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
 Section: net
@@ -7,12 +8,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
+               golang-github-go-kit-log-dev,
                golang-github-pires-go-proxyproto-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-github-stretchr-testify-dev,
                golang-go,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git

## prometheus-squid-exporter 1.13.0

=== Makefile ===
.PHONY: all fmt vet test build docker clean

all: fmt vet test build

EXE = ./bin/squid-exporter
SRC = $(shell find . -type f -name '*.go')
VERSION ?= $(shell cat VERSION)
REVISION = $(shell git rev-parse HEAD)
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)
LDFLAGS = -extldflags "-s -w -static" \
		  -X github.com/prometheus/common/version.Version=$(VERSION) \
		  -X github.com/prometheus/common/version.Revision=$(REVISION) \
		  -X github.com/prometheus/common/version.Branch=$(BRANCH)

$(EXE): $(SRC)
	CGO_ENABLED=0 GOOS=linux go build -a -ldflags '$(LDFLAGS)' -o $(EXE) .

fmt:
	go fmt ./...

vet:
	go vet ./...

test:
	go test -v ./...

build: $(EXE)

docker:
	docker build -t squid-exporter .

clean:
	rm -f $(EXE)

=== debian/changelog ===
prometheus-squid-exporter (1.13.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0004-Fix-racy-TestReadFromSquid.patch
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Replace golang-go Build-Depends with golang-any
  * Refactor init script to use start-stop-daemon

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 16 Aug 2025 18:40:44 +0000

=== debian/control ===
Source: prometheus-squid-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
           Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-pires-go-proxyproto-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-github-stretchr-testify-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-squid-exporter.git
Homepage: https://github.com/boynux/squid-exporter
XS-Go-Import-Path: github.com/boynux/squid-exporter

Package: prometheus-squid-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for Squid proxy servers
 Prometheus exporter which connects to a Squid proxy server's cache manager
 API and exposes metrics such as:
 .
  * Cache hit counters
  * Client HTTP request / byte counters
  * Server HTTP / FTP requests
  * Request error counters

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/boynux/squid-exporter/tags .*/v?(\d\S*)\.tar\.gz debian
